Distribution:   CCux
Packager:	Christian Wasem <wasem@cux-linux.de>
Name:		gawk 
Version:	3.1.8
Release:	1
Provides:	%{name} /usr/awk
License:	GNU/GPL 
URL:		http://www.gnu.org/software/gawk/
Group:		System/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	%{name} contains programs for manipulating text files.
Requires(post,preun): /sbin/install-info
	
#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
%{name} contains programs for manipulating text files.
For more details see: %{url}

%post 
/sbin/install-info %{_infodir}/gawk.info.gz %{_infodir}/dir 
/sbin/install-info %{_infodir}/gawkinet.info.gz %{_infodir}/dir
 
%preun 
if [ "$1" = 0 ]; then 
	/sbin/install-info --delete %{_infodir}/gawk.info.gz %{_infodir}/dir 
	/sbin/install-info --delete %{_infodir}/gawkinet.info.gz %{_infodir}/dir
fi 

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix --libexecdir=%_libdir --mandir=%_mandir --infodir=%_infodir --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/share/info/dir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

mkdir -p $RPM_BUILD_ROOT/bin
ln -s /usr/bin/gawk $RPM_BUILD_ROOT/bin/awk

%files
%defattr(-,root,root)
/bin/awk
%{_bindir}/awk
%{_bindir}/gawk
%{_bindir}/gawk-%{version}
%{_bindir}/igawk
%{_bindir}/pgawk
%{_bindir}/pgawk-%{version}
%{_libdir}/awk
%{_datadir}/awk
%{_infodir}/gawkinet.info.gz
%{_infodir}/gawk.info.gz
%{_locale}/*/LC_MESSAGES/gawk.mo
%{_mandir}/man1/gawk.1.gz
%{_mandir}/man1/igawk.1.gz
%{_mandir}/man1/pgawk.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.8-1
- Version update
* Mon Feb 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.7-1
- Version update
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.1.6-1
- Version update
* Sat Jun 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.1.5-2
- added missing symlink
* Mon Aug 15 2005 Christian Metzen <metzench@ccux-linux.de> 3.1.5-1
- Version update, cleaned out specfile, removed wrong obsoletes tag
- Added infofile install
* Thu Feb 10 2005 Christian Wasem <wasem@cux-linux.de> 3.1.4-1
- updatre from version 3.1.3-1
